MaltChainedException (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.exception
Class MaltChainedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.maltparser.core.exception.MaltChainedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConfigurationException, DataFormatException, FeatureException, FlowException, GuideException, HeadRuleException, HistoryException, LiblinearException, LibsvmException, OptionException, ParsingException, PluginException, PropagationException, SymbolException, SyntaxGraphException, TransformationException

    public class MaltChainedException

extends Exception

MaltChainedException handles a chain of MaltParser specific exception.

Author:
  Johan Hall
See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`MaltChainedException()` Creates a MaltChainedException instance
`MaltChainedException(String message)` Creates a MaltChainedException instance with a message
`MaltChainedException(String message, Throwable cause)` Creates a MaltChainedException instance with a message and keeps track of the cause of the exception.

Method Summary
`Throwable` | `getCause()`
`String` | `getMessageChain()` Returns a string representation of the exception chain.
`void` | `printStackTrace()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### MaltChainedException

    public MaltChainedException()

  Creates a MaltChainedException instance

### MaltChainedException

    public MaltChainedException(String message)

  Creates a MaltChainedException instance with a message

  Parameters:
    `message` - a message string

### MaltChainedException

    public MaltChainedException(String message,
                                Throwable cause)

  Creates a MaltChainedException instance with a message and keeps track of the cause of the exception.

  Parameters:
    `message` - a message string
    `cause` - a cause

Method Detail

### getCause

    public Throwable getCause()

  Overrides:
    `getCause` in class `Throwable`

### getMessageChain

    public String getMessageChain()

  Returns a string representation of the exception chain. Only MaltParser specific exception is included.

  Returns:
    a string representation of the exception chain

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.